System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeTypeDeclaration System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to declare a delegate type, or event handler. A delegate defines a method signature that can be used by calback methods or event handlers. Delegates can be declared at the namespace level or nested inside other types. Delegates cannot be nested inside other delegates.

The property specifies the data type of the event handler returned by the delegate. The property contains the parameters for the delegate type.

should not be used for enumeration, interface, or type declaration. Instead, use for those.

Not all languages support the declaration of delegates. Call the method with the flag to determine if it is supported in a particular language.

Represents a delegate declaration.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  The name of the delegate.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeParameterDeclarationExpressionCollection To be added: an object of type 'CodeParameterDeclarationExpressionCollection' To be added

  Gets the parameters of the delegate.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeReference To be added: an object of type 'CodeTypeReference' To be added

  Gets or sets the return type of the delegate.